curl -X DELETE https://api.chessplay.io/api/v1/students/123/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.delete(
"https://api.chessplay.io/api/v1/students/123/",
headers=headers
)
const response = await fetch('https://api.chessplay.io/api/v1/students/123/', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
{
"detail": "You do not have permission to perform this action."
}
{
"detail": "Not found."
}
Students
Delete Student
Delete a student from your organization
DELETE
/
api
/
v1
/
students
/
{id}
/
curl -X DELETE https://api.chessplay.io/api/v1/students/123/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.delete(
"https://api.chessplay.io/api/v1/students/123/",
headers=headers
)
const response = await fetch('https://api.chessplay.io/api/v1/students/123/', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
{
"detail": "You do not have permission to perform this action."
}
{
"detail": "Not found."
}
Authentication
string
required
Bearer token for authentication (Admin only)
Path Parameters
integer
required
Student ID to delete
curl -X DELETE https://api.chessplay.io/api/v1/students/123/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.delete(
"https://api.chessplay.io/api/v1/students/123/",
headers=headers
)
const response = await fetch('https://api.chessplay.io/api/v1/students/123/', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
{
"detail": "You do not have permission to perform this action."
}
{
"detail": "Not found."
}
Only Admin users can delete students.
Was this page helpful?
⌘I

